./goblint --conf conf/svcomp.json --sets ana.specification /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/properties/no-data-race.prp --sets exp.architecture 32bit /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-race-challenges/per-thread-array-join-counter-race.i


--------------------------------------------------------------------------------


[0;33m[Warning] --sets is deprecated, use --set instead.[0;0;00m
[0;33m[Warning] --sets is deprecated, use --set instead.[0;0;00m
[Info] unrolling loop at /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-race-challenges/per-thread-array-join-counter-race.i:1038:5-1046:5 with factor 8
[Info] unrolling loop at /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-race-challenges/per-thread-array-join-counter-race.i:1056:3-1057:53 with factor 12
[Info] unrolling loop at /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-race-challenges/per-thread-array-join-counter-race.i:1060:3-1063:3 with factor 16
[Info] unrolling loop at lib/libc/stub/src/stdlib.c:10:5-12:5 with factor 12
[Info] unrolling loop at lib/libc/stub/src/stdlib.c:21:9-27:9 with factor 4
[Info] unrolling loop at lib/libc/stub/src/stdlib.c:40:3-45:3 with factor 6
[Info] Specification: CHECK( init(main()), LTL(G ! data-race) ) -> enabling soundness analyses "access, race"
[Info] Enabled congruence domain.
[Info] Enabled octagon domain ONLY for:
[Info] threads_total, threads_alive, i, count, tmp, key, a, count, j, k, size, i, i___0, j___0, a, top, expression, i___0, i, i, cond, __x, __x, __x
[Info] Enabled widening thresholds
[Info] SV-COMP specification: CHECK( init(main()), LTL(G ! data-race) )
[Error][Analyzer] About to crash at mark transfer function at /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-race-challenges/per-thread-array-join-counter-race.i:1039:7-1039:42!

[Info] runtime: 00:00:00.106
[Info] vars: 187, evals: 273

[Info] |called|=72

Memory statistics: total=89.13MB, max=9.61MB, minor=86.22MB, major=10.21MB, promoted=7.30MB
    minor collections=43  major collections=5 compactions=0


Fatal error: exception Cilfacade.TypeOfError(typeOffset: Index on a non-array (0, union __anonunion_pthread_mutex_t_335460617 ))
